Bug 998953 - i18n support
i18n support
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: 6.0.0
Assigned To: tcunning
Martin Basovník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 08:16 EDT by Keith Babo
Modified: 2016-11-30 19:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:25:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1320 Major Closed Localization and i18n support 2014-06-16 19:49:26 EDT
JBoss Issue Tracker SWITCHYARD-1659 Major Closed l10n support for console 2014-06-16 19:48:34 EDT
JBoss Issue Tracker SWITCHYARD-1660 Major Closed l10n support for eclipse tooling 2014-06-16 19:48:31 EDT

  None (edit)
Description Keith Babo 2013-08-20 08:16:07 EDT
Support localization of log messages in SwitchYard core and components.
Comment 1 Rob Cernich 2013-08-21 14:38:49 EDT
linking a jira for l10n support in console
Comment 2 Rob Cernich 2013-08-21 14:41:30 EDT
linked jira for l10n support in eclipse tools
Comment 3 JBoss JIRA Server 2013-08-29 09:14:32 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1659

pushed
Comment 4 JBoss JIRA Server 2013-08-29 18:22:47 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1660

This is the first PR for this JIRA, which includes updates to org.switchyard.tools, .tools.core, .tools.cxf, .tools.m2e, and tools.ui
Comment 5 JBoss JIRA Server 2013-08-29 18:23:31 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1660

More work is being done for the editor plug-ins in a separate PR.
Comment 6 JBoss JIRA Server 2013-09-04 13:01:16 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1660

Updated PR 302 to include changes for the BPEL plug-in (plug-in localization and UI) and BPMN2 plug-in (plug-in localization only so far)
Comment 7 JBoss JIRA Server 2013-09-04 15:58:09 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1660

I've already pushed 302.
Comment 8 JBoss JIRA Server 2013-09-10 12:49:28 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1660

pushed
Comment 12 JBoss JIRA Server 2013-10-09 17:11:25 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1320

pushed 'em all!
Comment 13 Martin Basovník 2014-01-07 10:00:53 EST
Implementation of i18n was checked according to documentation pages: 

https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/html/Development_Guide/sect-Customizing_Internationalized_Log_Messages.html

https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/html/Development_Guide/sect-Reference-1.html

As 'core' as 'components' modules are ready for i18n, BUT no extra languages except fo default english translation in @Message annotations are defined! Modules do not contain any translation property files...
Comment 14 JBoss JIRA Server 2014-06-16 19:48:31 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1660 to Closed
Comment 15 JBoss JIRA Server 2014-06-16 19:48:34 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1659 to Closed
Comment 16 JBoss JIRA Server 2014-06-16 19:49:26 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1320 to Closed

Note You need to log in before you can comment on or make changes to this bug.